Aller au contenu
Esc
↑↓naviguer↵ouvrir⌘Japerçu

List emails

Newest first, with cursor pagination: after takes the last id of a page and pages toward older items, before takes the first id and pages back toward newer ones.

GET/emails
Autorisation
AuthorizationJeton Bearer · headerrequis

A BillionSend API key (bs_…).

Paramètres de requête
limitinteger

Page size, 1-100 (default 20)

min 1 · max 100
afterstring<uuid>

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

beforestring<uuid>

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

Réponses
200

Emails

objectstringrequis
Valeurs autorisées :list
dataobject[]requis
Afficher les propriétés
Tableau de object
idstring<uuid>requis
fromstringrequis
tostring[]requis
ccstring[] | nullrequis
bccstring[] | nullrequis
reply_tostring[] | nullrequis
subjectstringrequis
created_atstringrequis
scheduled_atstring | nullrequis
last_eventstringrequis
has_morebooleanrequis
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequis
namestringrequis
messagestringrequis
403

Restricted API key

statusCodenumberrequis
namestringrequis
messagestringrequis
422

Validation error

statusCodenumberrequis
namestringrequis
messagestringrequis
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequis
namestringrequis
messagestringrequis
Essayer
Serveur
Autorisation
Paramètres
Requête
curl -X GET 'https://api.billionsend.com/emails' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Réponse
{
  "object": "list",
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "from": "string",
      "to": [
        "string"
      ],
      "cc": [
        "string"
      ],
      "bcc": [
        "string"
      ],
      "reply_to": [
        "string"
      ],
      "subject": "string",
      "created_at": "string",
      "scheduled_at": "string",
      "last_event": "string"
    }
  ],
  "has_more": true
}

Cette page vous a-t-elle été utile ?